-- create connection once when channel starts
conn = db.connect{   
   api=db.MY_SQL, 
   name='test',
   user='root',         -- not required - ignored by SQLite
   password='EU5992eu', -- not required - ignored by SQLite
   use_unicode = true,
   live = true
}

-- We map Mrn to the Patient ID Number
local function mapPatient(PID, Out)
   Out.patient[1].Id            = PID[3][1][1]
   Out.patient[1].LastName      = PID[5][1][1][1]
   Out.patient[1].GivenName     = PID[5][1][1][1]
   Out.patient[1].Race          = PID[10][1][1]
   Out.patient[1].PhoneHome     = PID[13][1][1]
   Out.patient[1].PhoneBusiness = PID[14][1][1]
   Out.patient[1].Religion      = PID[17][2]
   Out.patient[1].MaritalStatus = PID[16][2]
   Out.patient[1].Ssn           = PID[19]
   Out.patient[1].LicenseNumber = PID[20][1]
   return Out
end

function main(Data)   
   local Msg, Name = hl7.parse{vmd='demo.vmd', data=Data}

   -- create the table node tree for merging into the DB
   local Out = db.tables{vmd='demo.vmd', name=Name}
 
   -- Add data to the table node tree
   Out = mapPatient(Msg.PID, Out)
   
   -- merge the data 
   conn:merge{data=Out, bulk_insert = true, live=true}
   
   -- check that merge worked
   conn:query{sql='SELECT * FROM Patient'}
end

